/*
 * Copyright 2012 The Native Client Authors.  All rights reserved.
 * Use of this source code is governed by a BSD-style license that can
 * be found in the LICENSE file.
 */

// DO NOT EDIT: GENERATED CODE

#ifndef NACL_TRUSTED_BUT_NOT_TCB
#error This file is not meant for use in the TCB
#endif


#ifndef NATIVE_CLIENT_SRC_TRUSTED_VALIDATOR_ARM_GEN_ARM32_DECODE_NAMED_CLASSES_H_
#define NATIVE_CLIENT_SRC_TRUSTED_VALIDATOR_ARM_GEN_ARM32_DECODE_NAMED_CLASSES_H_

#include "native_client/src/trusted/validator_arm/actual_classes.h"
#include "native_client/src/trusted/validator_arm/baseline_classes.h"
#include "native_client/src/trusted/validator_arm/named_class_decoder.h"

/*
 * Define rule decoder classes.
 */
namespace nacl_arm_dec {

class Cmn_Rule_33_A1_P76Binary2RegisterImmedShiftedTest
   : public Binary2RegisterImmedShiftedTest {
 public:
  virtual ~Cmn_Rule_33_A1_P76Binary2RegisterImmedShiftedTest() {}
};

class Cmp_Rule_36_A1_P82Binary2RegisterImmedShiftedTest
   : public Binary2RegisterImmedShiftedTest {
 public:
  virtual ~Cmp_Rule_36_A1_P82Binary2RegisterImmedShiftedTest() {}
};

class Teq_Rule_228_A1_P450Binary2RegisterImmedShiftedTest
   : public Binary2RegisterImmedShiftedTest {
 public:
  virtual ~Teq_Rule_228_A1_P450Binary2RegisterImmedShiftedTest() {}
};

class Tst_Rule_231_A1_P456Binary2RegisterImmedShiftedTest
   : public Binary2RegisterImmedShiftedTest {
 public:
  virtual ~Tst_Rule_231_A1_P456Binary2RegisterImmedShiftedTest() {}
};

class Adc_Rule_2_A1_P16Binary3RegisterImmedShiftedOp
   : public Binary3RegisterImmedShiftedOp {
 public:
  virtual ~Adc_Rule_2_A1_P16Binary3RegisterImmedShiftedOp() {}
};

class Add_Rule_6_A1_P24Binary3RegisterImmedShiftedOp
   : public Binary3RegisterImmedShiftedOp {
 public:
  virtual ~Add_Rule_6_A1_P24Binary3RegisterImmedShiftedOp() {}
};

class And_Rule_7_A1_P36Binary3RegisterImmedShiftedOp
   : public Binary3RegisterImmedShiftedOp {
 public:
  virtual ~And_Rule_7_A1_P36Binary3RegisterImmedShiftedOp() {}
};

class Bic_Rule_20_A1_P52Binary3RegisterImmedShiftedOp
   : public Binary3RegisterImmedShiftedOp {
 public:
  virtual ~Bic_Rule_20_A1_P52Binary3RegisterImmedShiftedOp() {}
};

class Eor_Rule_45_A1_P96Binary3RegisterImmedShiftedOp
   : public Binary3RegisterImmedShiftedOp {
 public:
  virtual ~Eor_Rule_45_A1_P96Binary3RegisterImmedShiftedOp() {}
};

class Orr_Rule_114_A1_P230Binary3RegisterImmedShiftedOp
   : public Binary3RegisterImmedShiftedOp {
 public:
  virtual ~Orr_Rule_114_A1_P230Binary3RegisterImmedShiftedOp() {}
};

class Rsb_Rule_143_P286Binary3RegisterImmedShiftedOp
   : public Binary3RegisterImmedShiftedOp {
 public:
  virtual ~Rsb_Rule_143_P286Binary3RegisterImmedShiftedOp() {}
};

class Rsc_Rule_146_A1_P292Binary3RegisterImmedShiftedOp
   : public Binary3RegisterImmedShiftedOp {
 public:
  virtual ~Rsc_Rule_146_A1_P292Binary3RegisterImmedShiftedOp() {}
};

class Sbc_Rule_152_A1_P304Binary3RegisterImmedShiftedOp
   : public Binary3RegisterImmedShiftedOp {
 public:
  virtual ~Sbc_Rule_152_A1_P304Binary3RegisterImmedShiftedOp() {}
};

class SubRule_213_A1_P422Binary3RegisterImmedShiftedOp
   : public Binary3RegisterImmedShiftedOp {
 public:
  virtual ~SubRule_213_A1_P422Binary3RegisterImmedShiftedOp() {}
};

class Asr_Rule_15_A1_P42Binary3RegisterOp
   : public Binary3RegisterOp {
 public:
  virtual ~Asr_Rule_15_A1_P42Binary3RegisterOp() {}
};

class Lsl_Rule_89_A1_P180Binary3RegisterOp
   : public Binary3RegisterOp {
 public:
  virtual ~Lsl_Rule_89_A1_P180Binary3RegisterOp() {}
};

class Lsr_Rule_91_A1_P184Binary3RegisterOp
   : public Binary3RegisterOp {
 public:
  virtual ~Lsr_Rule_91_A1_P184Binary3RegisterOp() {}
};

class Ror_Rule_140_A1_P280Binary3RegisterOp
   : public Binary3RegisterOp {
 public:
  virtual ~Ror_Rule_140_A1_P280Binary3RegisterOp() {}
};

class Cmn_Rule_34_A1_P78Binary3RegisterShiftedTest
   : public Binary3RegisterShiftedTest {
 public:
  virtual ~Cmn_Rule_34_A1_P78Binary3RegisterShiftedTest() {}
};

class Cmp_Rule_37_A1_P84Binary3RegisterShiftedTest
   : public Binary3RegisterShiftedTest {
 public:
  virtual ~Cmp_Rule_37_A1_P84Binary3RegisterShiftedTest() {}
};

class Teq_Rule_229_A1_P452Binary3RegisterShiftedTest
   : public Binary3RegisterShiftedTest {
 public:
  virtual ~Teq_Rule_229_A1_P452Binary3RegisterShiftedTest() {}
};

class Tst_Rule_232_A1_P458Binary3RegisterShiftedTest
   : public Binary3RegisterShiftedTest {
 public:
  virtual ~Tst_Rule_232_A1_P458Binary3RegisterShiftedTest() {}
};

class Adc_Rule_3_A1_P18Binary4RegisterShiftedOp
   : public Binary4RegisterShiftedOp {
 public:
  virtual ~Adc_Rule_3_A1_P18Binary4RegisterShiftedOp() {}
};

class Add_Rule_7_A1_P26Binary4RegisterShiftedOp
   : public Binary4RegisterShiftedOp {
 public:
  virtual ~Add_Rule_7_A1_P26Binary4RegisterShiftedOp() {}
};

class And_Rule_13_A1_P38Binary4RegisterShiftedOp
   : public Binary4RegisterShiftedOp {
 public:
  virtual ~And_Rule_13_A1_P38Binary4RegisterShiftedOp() {}
};

class Bic_Rule_21_A1_P54Binary4RegisterShiftedOp
   : public Binary4RegisterShiftedOp {
 public:
  virtual ~Bic_Rule_21_A1_P54Binary4RegisterShiftedOp() {}
};

class Eor_Rule_46_A1_P98Binary4RegisterShiftedOp
   : public Binary4RegisterShiftedOp {
 public:
  virtual ~Eor_Rule_46_A1_P98Binary4RegisterShiftedOp() {}
};

class Orr_Rule_115_A1_P212Binary4RegisterShiftedOp
   : public Binary4RegisterShiftedOp {
 public:
  virtual ~Orr_Rule_115_A1_P212Binary4RegisterShiftedOp() {}
};

class Rsb_Rule_144_A1_P288Binary4RegisterShiftedOp
   : public Binary4RegisterShiftedOp {
 public:
  virtual ~Rsb_Rule_144_A1_P288Binary4RegisterShiftedOp() {}
};

class Rsc_Rule_147_A1_P294Binary4RegisterShiftedOp
   : public Binary4RegisterShiftedOp {
 public:
  virtual ~Rsc_Rule_147_A1_P294Binary4RegisterShiftedOp() {}
};

class Sbc_Rule_153_A1_P306Binary4RegisterShiftedOp
   : public Binary4RegisterShiftedOp {
 public:
  virtual ~Sbc_Rule_153_A1_P306Binary4RegisterShiftedOp() {}
};

class Sub_Rule_214_A1_P424Binary4RegisterShiftedOp
   : public Binary4RegisterShiftedOp {
 public:
  virtual ~Sub_Rule_214_A1_P424Binary4RegisterShiftedOp() {}
};

class Mov_Rule_96_A2_P_194Unary1RegisterImmediateOp
   : public Unary1RegisterImmediateOp {
 public:
  virtual ~Mov_Rule_96_A2_P_194Unary1RegisterImmediateOp() {}
};

class Asr_Rule_14_A1_P40Unary2RegisterImmedShiftedOp
   : public Unary2RegisterImmedShiftedOp {
 public:
  virtual ~Asr_Rule_14_A1_P40Unary2RegisterImmedShiftedOp() {}
};

class Lsl_Rule_88_A1_P178Unary2RegisterImmedShiftedOp
   : public Unary2RegisterImmedShiftedOp {
 public:
  virtual ~Lsl_Rule_88_A1_P178Unary2RegisterImmedShiftedOp() {}
};

class Lsr_Rule_90_A1_P182Unary2RegisterImmedShiftedOp
   : public Unary2RegisterImmedShiftedOp {
 public:
  virtual ~Lsr_Rule_90_A1_P182Unary2RegisterImmedShiftedOp() {}
};

class Mvn_Rule_107_A1_P216Unary2RegisterImmedShiftedOp
   : public Unary2RegisterImmedShiftedOp {
 public:
  virtual ~Mvn_Rule_107_A1_P216Unary2RegisterImmedShiftedOp() {}
};

class Ror_Rule_139_A1_P278Unary2RegisterImmedShiftedOp
   : public Unary2RegisterImmedShiftedOp {
 public:
  virtual ~Ror_Rule_139_A1_P278Unary2RegisterImmedShiftedOp() {}
};

class Mov_Rule_97_A1_P196Unary2RegisterOp
   : public Unary2RegisterOp {
 public:
  virtual ~Mov_Rule_97_A1_P196Unary2RegisterOp() {}
};

class Rrx_Rule_141_A1_P282Unary2RegisterOp
   : public Unary2RegisterOp {
 public:
  virtual ~Rrx_Rule_141_A1_P282Unary2RegisterOp() {}
};

class Mvn_Rule_108_A1_P218Unary3RegisterShiftedOp
   : public Unary3RegisterShiftedOp {
 public:
  virtual ~Mvn_Rule_108_A1_P218Unary3RegisterShiftedOp() {}
};

}  // nacl_arm_dec

namespace nacl_arm_test {

/*
 * Define named class decoders for each class decoder.
 * The main purpose of these classes is to introduce
 * instances that are named specifically to the class decoder
 * and/or rule that was used to parse them. This makes testing
 * much easier in that error messages use these named classes
 * to clarify what row in the corresponding table was used
 * to select this decoder. Without these names, debugging the
 * output of the test code would be nearly impossible
 */

class NamedBinary2RegisterImmedShiftedTest
    : public NamedClassDecoder {
 public:
  inline NamedBinary2RegisterImmedShiftedTest()
    : NamedClassDecoder(decoder_, "Binary2RegisterImmedShiftedTest")
  {}
  virtual ~NamedBinary2RegisterImmedShiftedTest() {}

 private:
  nacl_arm_dec::Binary2RegisterImmedShiftedTest decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedBinary2RegisterImmedShiftedTest);
};

class NamedBinary3RegisterImmedShiftedOp
    : public NamedClassDecoder {
 public:
  inline NamedBinary3RegisterImmedShiftedOp()
    : NamedClassDecoder(decoder_, "Binary3RegisterImmedShiftedOp")
  {}
  virtual ~NamedBinary3RegisterImmedShiftedOp() {}

 private:
  nacl_arm_dec::Binary3RegisterImmedShiftedOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedBinary3RegisterImmedShiftedOp);
};

class NamedBinary3RegisterOp
    : public NamedClassDecoder {
 public:
  inline NamedBinary3RegisterOp()
    : NamedClassDecoder(decoder_, "Binary3RegisterOp")
  {}
  virtual ~NamedBinary3RegisterOp() {}

 private:
  nacl_arm_dec::Binary3RegisterOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedBinary3RegisterOp);
};

class NamedBinary3RegisterShiftedTest
    : public NamedClassDecoder {
 public:
  inline NamedBinary3RegisterShiftedTest()
    : NamedClassDecoder(decoder_, "Binary3RegisterShiftedTest")
  {}
  virtual ~NamedBinary3RegisterShiftedTest() {}

 private:
  nacl_arm_dec::Binary3RegisterShiftedTest decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedBinary3RegisterShiftedTest);
};

class NamedBinary4RegisterShiftedOp
    : public NamedClassDecoder {
 public:
  inline NamedBinary4RegisterShiftedOp()
    : NamedClassDecoder(decoder_, "Binary4RegisterShiftedOp")
  {}
  virtual ~NamedBinary4RegisterShiftedOp() {}

 private:
  nacl_arm_dec::Binary4RegisterShiftedOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedBinary4RegisterShiftedOp);
};

class NamedBranch
    : public NamedClassDecoder {
 public:
  inline NamedBranch()
    : NamedClassDecoder(decoder_, "Branch")
  {}
  virtual ~NamedBranch() {}

 private:
  nacl_arm_dec::Branch decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedBranch);
};

class NamedBreakpoint
    : public NamedClassDecoder {
 public:
  inline NamedBreakpoint()
    : NamedClassDecoder(decoder_, "Breakpoint")
  {}
  virtual ~NamedBreakpoint() {}

 private:
  nacl_arm_dec::Breakpoint decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedBreakpoint);
};

class NamedBxBlx
    : public NamedClassDecoder {
 public:
  inline NamedBxBlx()
    : NamedClassDecoder(decoder_, "BxBlx")
  {}
  virtual ~NamedBxBlx() {}

 private:
  nacl_arm_dec::BxBlx decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedBxBlx);
};

class NamedCoprocessorOp
    : public NamedClassDecoder {
 public:
  inline NamedCoprocessorOp()
    : NamedClassDecoder(decoder_, "CoprocessorOp")
  {}
  virtual ~NamedCoprocessorOp() {}

 private:
  nacl_arm_dec::CoprocessorOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedCoprocessorOp);
};

class NamedDataProc
    : public NamedClassDecoder {
 public:
  inline NamedDataProc()
    : NamedClassDecoder(decoder_, "DataProc")
  {}
  virtual ~NamedDataProc() {}

 private:
  nacl_arm_dec::DataProc decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedDataProc);
};

class NamedDeprecated
    : public NamedClassDecoder {
 public:
  inline NamedDeprecated()
    : NamedClassDecoder(decoder_, "Deprecated")
  {}
  virtual ~NamedDeprecated() {}

 private:
  nacl_arm_dec::Deprecated decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedDeprecated);
};

class NamedEffectiveNoOp
    : public NamedClassDecoder {
 public:
  inline NamedEffectiveNoOp()
    : NamedClassDecoder(decoder_, "EffectiveNoOp")
  {}
  virtual ~NamedEffectiveNoOp() {}

 private:
  nacl_arm_dec::EffectiveNoOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedEffectiveNoOp);
};

class NamedForbidden
    : public NamedClassDecoder {
 public:
  inline NamedForbidden()
    : NamedClassDecoder(decoder_, "Forbidden")
  {}
  virtual ~NamedForbidden() {}

 private:
  nacl_arm_dec::Forbidden decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedForbidden);
};

class NamedImmediateBic
    : public NamedClassDecoder {
 public:
  inline NamedImmediateBic()
    : NamedClassDecoder(decoder_, "ImmediateBic")
  {}
  virtual ~NamedImmediateBic() {}

 private:
  nacl_arm_dec::ImmediateBic decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedImmediateBic);
};

class NamedLoadCoprocessor
    : public NamedClassDecoder {
 public:
  inline NamedLoadCoprocessor()
    : NamedClassDecoder(decoder_, "LoadCoprocessor")
  {}
  virtual ~NamedLoadCoprocessor() {}

 private:
  nacl_arm_dec::LoadCoprocessor decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedLoadCoprocessor);
};

class NamedLoadDoubleExclusive
    : public NamedClassDecoder {
 public:
  inline NamedLoadDoubleExclusive()
    : NamedClassDecoder(decoder_, "LoadDoubleExclusive")
  {}
  virtual ~NamedLoadDoubleExclusive() {}

 private:
  nacl_arm_dec::LoadDoubleExclusive decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedLoadDoubleExclusive);
};

class NamedLoadDoubleI
    : public NamedClassDecoder {
 public:
  inline NamedLoadDoubleI()
    : NamedClassDecoder(decoder_, "LoadDoubleI")
  {}
  virtual ~NamedLoadDoubleI() {}

 private:
  nacl_arm_dec::LoadDoubleI decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedLoadDoubleI);
};

class NamedLoadDoubleR
    : public NamedClassDecoder {
 public:
  inline NamedLoadDoubleR()
    : NamedClassDecoder(decoder_, "LoadDoubleR")
  {}
  virtual ~NamedLoadDoubleR() {}

 private:
  nacl_arm_dec::LoadDoubleR decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedLoadDoubleR);
};

class NamedLoadExclusive
    : public NamedClassDecoder {
 public:
  inline NamedLoadExclusive()
    : NamedClassDecoder(decoder_, "LoadExclusive")
  {}
  virtual ~NamedLoadExclusive() {}

 private:
  nacl_arm_dec::LoadExclusive decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedLoadExclusive);
};

class NamedLoadImmediate
    : public NamedClassDecoder {
 public:
  inline NamedLoadImmediate()
    : NamedClassDecoder(decoder_, "LoadImmediate")
  {}
  virtual ~NamedLoadImmediate() {}

 private:
  nacl_arm_dec::LoadImmediate decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedLoadImmediate);
};

class NamedLoadMultiple
    : public NamedClassDecoder {
 public:
  inline NamedLoadMultiple()
    : NamedClassDecoder(decoder_, "LoadMultiple")
  {}
  virtual ~NamedLoadMultiple() {}

 private:
  nacl_arm_dec::LoadMultiple decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedLoadMultiple);
};

class NamedLoadRegister
    : public NamedClassDecoder {
 public:
  inline NamedLoadRegister()
    : NamedClassDecoder(decoder_, "LoadRegister")
  {}
  virtual ~NamedLoadRegister() {}

 private:
  nacl_arm_dec::LoadRegister decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedLoadRegister);
};

class NamedLongMultiply
    : public NamedClassDecoder {
 public:
  inline NamedLongMultiply()
    : NamedClassDecoder(decoder_, "LongMultiply")
  {}
  virtual ~NamedLongMultiply() {}

 private:
  nacl_arm_dec::LongMultiply decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedLongMultiply);
};

class NamedMoveDoubleFromCoprocessor
    : public NamedClassDecoder {
 public:
  inline NamedMoveDoubleFromCoprocessor()
    : NamedClassDecoder(decoder_, "MoveDoubleFromCoprocessor")
  {}
  virtual ~NamedMoveDoubleFromCoprocessor() {}

 private:
  nacl_arm_dec::MoveDoubleFromCoprocessor decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedMoveDoubleFromCoprocessor);
};

class NamedMoveFromCoprocessor
    : public NamedClassDecoder {
 public:
  inline NamedMoveFromCoprocessor()
    : NamedClassDecoder(decoder_, "MoveFromCoprocessor")
  {}
  virtual ~NamedMoveFromCoprocessor() {}

 private:
  nacl_arm_dec::MoveFromCoprocessor decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedMoveFromCoprocessor);
};

class NamedMoveToStatusRegister
    : public NamedClassDecoder {
 public:
  inline NamedMoveToStatusRegister()
    : NamedClassDecoder(decoder_, "MoveToStatusRegister")
  {}
  virtual ~NamedMoveToStatusRegister() {}

 private:
  nacl_arm_dec::MoveToStatusRegister decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedMoveToStatusRegister);
};

class NamedMultiply
    : public NamedClassDecoder {
 public:
  inline NamedMultiply()
    : NamedClassDecoder(decoder_, "Multiply")
  {}
  virtual ~NamedMultiply() {}

 private:
  nacl_arm_dec::Multiply decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedMultiply);
};

class NamedPackSatRev
    : public NamedClassDecoder {
 public:
  inline NamedPackSatRev()
    : NamedClassDecoder(decoder_, "PackSatRev")
  {}
  virtual ~NamedPackSatRev() {}

 private:
  nacl_arm_dec::PackSatRev decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedPackSatRev);
};

class NamedRoadblock
    : public NamedClassDecoder {
 public:
  inline NamedRoadblock()
    : NamedClassDecoder(decoder_, "Roadblock")
  {}
  virtual ~NamedRoadblock() {}

 private:
  nacl_arm_dec::Roadblock decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedRoadblock);
};

class NamedSatAddSub
    : public NamedClassDecoder {
 public:
  inline NamedSatAddSub()
    : NamedClassDecoder(decoder_, "SatAddSub")
  {}
  virtual ~NamedSatAddSub() {}

 private:
  nacl_arm_dec::SatAddSub decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedSatAddSub);
};

class NamedStoreCoprocessor
    : public NamedClassDecoder {
 public:
  inline NamedStoreCoprocessor()
    : NamedClassDecoder(decoder_, "StoreCoprocessor")
  {}
  virtual ~NamedStoreCoprocessor() {}

 private:
  nacl_arm_dec::StoreCoprocessor decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedStoreCoprocessor);
};

class NamedStoreExclusive
    : public NamedClassDecoder {
 public:
  inline NamedStoreExclusive()
    : NamedClassDecoder(decoder_, "StoreExclusive")
  {}
  virtual ~NamedStoreExclusive() {}

 private:
  nacl_arm_dec::StoreExclusive decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedStoreExclusive);
};

class NamedStoreImmediate
    : public NamedClassDecoder {
 public:
  inline NamedStoreImmediate()
    : NamedClassDecoder(decoder_, "StoreImmediate")
  {}
  virtual ~NamedStoreImmediate() {}

 private:
  nacl_arm_dec::StoreImmediate decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedStoreImmediate);
};

class NamedStoreRegister
    : public NamedClassDecoder {
 public:
  inline NamedStoreRegister()
    : NamedClassDecoder(decoder_, "StoreRegister")
  {}
  virtual ~NamedStoreRegister() {}

 private:
  nacl_arm_dec::StoreRegister decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedStoreRegister);
};

class NamedTest
    : public NamedClassDecoder {
 public:
  inline NamedTest()
    : NamedClassDecoder(decoder_, "Test")
  {}
  virtual ~NamedTest() {}

 private:
  nacl_arm_dec::Test decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedTest);
};

class NamedTestImmediate
    : public NamedClassDecoder {
 public:
  inline NamedTestImmediate()
    : NamedClassDecoder(decoder_, "TestImmediate")
  {}
  virtual ~NamedTestImmediate() {}

 private:
  nacl_arm_dec::TestImmediate decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedTestImmediate);
};

class NamedUnary1RegisterImmediateOp
    : public NamedClassDecoder {
 public:
  inline NamedUnary1RegisterImmediateOp()
    : NamedClassDecoder(decoder_, "Unary1RegisterImmediateOp")
  {}
  virtual ~NamedUnary1RegisterImmediateOp() {}

 private:
  nacl_arm_dec::Unary1RegisterImmediateOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedUnary1RegisterImmediateOp);
};

class NamedUnary2RegisterImmedShiftedOp
    : public NamedClassDecoder {
 public:
  inline NamedUnary2RegisterImmedShiftedOp()
    : NamedClassDecoder(decoder_, "Unary2RegisterImmedShiftedOp")
  {}
  virtual ~NamedUnary2RegisterImmedShiftedOp() {}

 private:
  nacl_arm_dec::Unary2RegisterImmedShiftedOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedUnary2RegisterImmedShiftedOp);
};

class NamedUnary2RegisterOp
    : public NamedClassDecoder {
 public:
  inline NamedUnary2RegisterOp()
    : NamedClassDecoder(decoder_, "Unary2RegisterOp")
  {}
  virtual ~NamedUnary2RegisterOp() {}

 private:
  nacl_arm_dec::Unary2RegisterOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedUnary2RegisterOp);
};

class NamedUnary3RegisterShiftedOp
    : public NamedClassDecoder {
 public:
  inline NamedUnary3RegisterShiftedOp()
    : NamedClassDecoder(decoder_, "Unary3RegisterShiftedOp")
  {}
  virtual ~NamedUnary3RegisterShiftedOp() {}

 private:
  nacl_arm_dec::Unary3RegisterShiftedOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedUnary3RegisterShiftedOp);
};

class NamedUndefined
    : public NamedClassDecoder {
 public:
  inline NamedUndefined()
    : NamedClassDecoder(decoder_, "Undefined")
  {}
  virtual ~NamedUndefined() {}

 private:
  nacl_arm_dec::Undefined decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedUndefined);
};

class NamedUnpredictable
    : public NamedClassDecoder {
 public:
  inline NamedUnpredictable()
    : NamedClassDecoder(decoder_, "Unpredictable")
  {}
  virtual ~NamedUnpredictable() {}

 private:
  nacl_arm_dec::Unpredictable decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedUnpredictable);
};

class NamedVectorLoad
    : public NamedClassDecoder {
 public:
  inline NamedVectorLoad()
    : NamedClassDecoder(decoder_, "VectorLoad")
  {}
  virtual ~NamedVectorLoad() {}

 private:
  nacl_arm_dec::VectorLoad decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedVectorLoad);
};

class NamedVectorStore
    : public NamedClassDecoder {
 public:
  inline NamedVectorStore()
    : NamedClassDecoder(decoder_, "VectorStore")
  {}
  virtual ~NamedVectorStore() {}

 private:
  nacl_arm_dec::VectorStore decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedVectorStore);
};

class NamedDefs12To15RdRnRsRmNotPc
    : public NamedClassDecoder {
 public:
  inline NamedDefs12To15RdRnRsRmNotPc()
    : NamedClassDecoder(decoder_, "Defs12To15RdRnRsRmNotPc")
  {}
  virtual ~NamedDefs12To15RdRnRsRmNotPc() {}

 private:
  nacl_arm_dec::Defs12To15RdRnRsRmNotPc decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedDefs12To15RdRnRsRmNotPc);
};

class NamedCmn_Rule_33_A1_P76Binary2RegisterImmedShiftedTest
    : public NamedClassDecoder {
 public:
  inline NamedCmn_Rule_33_A1_P76Binary2RegisterImmedShiftedTest()
    : NamedClassDecoder(decoder_, "Cmn_Rule_33_A1_P76Binary2RegisterImmedShiftedTest")
  {}
  virtual ~NamedCmn_Rule_33_A1_P76Binary2RegisterImmedShiftedTest() {}

 private:
  nacl_arm_dec::Cmn_Rule_33_A1_P76Binary2RegisterImmedShiftedTest decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedCmn_Rule_33_A1_P76Binary2RegisterImmedShiftedTest);
};

class NamedCmp_Rule_36_A1_P82Binary2RegisterImmedShiftedTest
    : public NamedClassDecoder {
 public:
  inline NamedCmp_Rule_36_A1_P82Binary2RegisterImmedShiftedTest()
    : NamedClassDecoder(decoder_, "Cmp_Rule_36_A1_P82Binary2RegisterImmedShiftedTest")
  {}
  virtual ~NamedCmp_Rule_36_A1_P82Binary2RegisterImmedShiftedTest() {}

 private:
  nacl_arm_dec::Cmp_Rule_36_A1_P82Binary2RegisterImmedShiftedTest decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedCmp_Rule_36_A1_P82Binary2RegisterImmedShiftedTest);
};

class NamedTeq_Rule_228_A1_P450Binary2RegisterImmedShiftedTest
    : public NamedClassDecoder {
 public:
  inline NamedTeq_Rule_228_A1_P450Binary2RegisterImmedShiftedTest()
    : NamedClassDecoder(decoder_, "Teq_Rule_228_A1_P450Binary2RegisterImmedShiftedTest")
  {}
  virtual ~NamedTeq_Rule_228_A1_P450Binary2RegisterImmedShiftedTest() {}

 private:
  nacl_arm_dec::Teq_Rule_228_A1_P450Binary2RegisterImmedShiftedTest decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedTeq_Rule_228_A1_P450Binary2RegisterImmedShiftedTest);
};

class NamedTst_Rule_231_A1_P456Binary2RegisterImmedShiftedTest
    : public NamedClassDecoder {
 public:
  inline NamedTst_Rule_231_A1_P456Binary2RegisterImmedShiftedTest()
    : NamedClassDecoder(decoder_, "Tst_Rule_231_A1_P456Binary2RegisterImmedShiftedTest")
  {}
  virtual ~NamedTst_Rule_231_A1_P456Binary2RegisterImmedShiftedTest() {}

 private:
  nacl_arm_dec::Tst_Rule_231_A1_P456Binary2RegisterImmedShiftedTest decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedTst_Rule_231_A1_P456Binary2RegisterImmedShiftedTest);
};

class NamedAdc_Rule_2_A1_P16Binary3RegisterImmedShiftedOp
    : public NamedClassDecoder {
 public:
  inline NamedAdc_Rule_2_A1_P16Binary3RegisterImmedShiftedOp()
    : NamedClassDecoder(decoder_, "Adc_Rule_2_A1_P16Binary3RegisterImmedShiftedOp")
  {}
  virtual ~NamedAdc_Rule_2_A1_P16Binary3RegisterImmedShiftedOp() {}

 private:
  nacl_arm_dec::Adc_Rule_2_A1_P16Binary3RegisterImmedShiftedOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedAdc_Rule_2_A1_P16Binary3RegisterImmedShiftedOp);
};

class NamedAdd_Rule_6_A1_P24Binary3RegisterImmedShiftedOp
    : public NamedClassDecoder {
 public:
  inline NamedAdd_Rule_6_A1_P24Binary3RegisterImmedShiftedOp()
    : NamedClassDecoder(decoder_, "Add_Rule_6_A1_P24Binary3RegisterImmedShiftedOp")
  {}
  virtual ~NamedAdd_Rule_6_A1_P24Binary3RegisterImmedShiftedOp() {}

 private:
  nacl_arm_dec::Add_Rule_6_A1_P24Binary3RegisterImmedShiftedOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedAdd_Rule_6_A1_P24Binary3RegisterImmedShiftedOp);
};

class NamedAnd_Rule_7_A1_P36Binary3RegisterImmedShiftedOp
    : public NamedClassDecoder {
 public:
  inline NamedAnd_Rule_7_A1_P36Binary3RegisterImmedShiftedOp()
    : NamedClassDecoder(decoder_, "And_Rule_7_A1_P36Binary3RegisterImmedShiftedOp")
  {}
  virtual ~NamedAnd_Rule_7_A1_P36Binary3RegisterImmedShiftedOp() {}

 private:
  nacl_arm_dec::And_Rule_7_A1_P36Binary3RegisterImmedShiftedOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedAnd_Rule_7_A1_P36Binary3RegisterImmedShiftedOp);
};

class NamedBic_Rule_20_A1_P52Binary3RegisterImmedShiftedOp
    : public NamedClassDecoder {
 public:
  inline NamedBic_Rule_20_A1_P52Binary3RegisterImmedShiftedOp()
    : NamedClassDecoder(decoder_, "Bic_Rule_20_A1_P52Binary3RegisterImmedShiftedOp")
  {}
  virtual ~NamedBic_Rule_20_A1_P52Binary3RegisterImmedShiftedOp() {}

 private:
  nacl_arm_dec::Bic_Rule_20_A1_P52Binary3RegisterImmedShiftedOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedBic_Rule_20_A1_P52Binary3RegisterImmedShiftedOp);
};

class NamedEor_Rule_45_A1_P96Binary3RegisterImmedShiftedOp
    : public NamedClassDecoder {
 public:
  inline NamedEor_Rule_45_A1_P96Binary3RegisterImmedShiftedOp()
    : NamedClassDecoder(decoder_, "Eor_Rule_45_A1_P96Binary3RegisterImmedShiftedOp")
  {}
  virtual ~NamedEor_Rule_45_A1_P96Binary3RegisterImmedShiftedOp() {}

 private:
  nacl_arm_dec::Eor_Rule_45_A1_P96Binary3RegisterImmedShiftedOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedEor_Rule_45_A1_P96Binary3RegisterImmedShiftedOp);
};

class NamedOrr_Rule_114_A1_P230Binary3RegisterImmedShiftedOp
    : public NamedClassDecoder {
 public:
  inline NamedOrr_Rule_114_A1_P230Binary3RegisterImmedShiftedOp()
    : NamedClassDecoder(decoder_, "Orr_Rule_114_A1_P230Binary3RegisterImmedShiftedOp")
  {}
  virtual ~NamedOrr_Rule_114_A1_P230Binary3RegisterImmedShiftedOp() {}

 private:
  nacl_arm_dec::Orr_Rule_114_A1_P230Binary3RegisterImmedShiftedOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedOrr_Rule_114_A1_P230Binary3RegisterImmedShiftedOp);
};

class NamedRsb_Rule_143_P286Binary3RegisterImmedShiftedOp
    : public NamedClassDecoder {
 public:
  inline NamedRsb_Rule_143_P286Binary3RegisterImmedShiftedOp()
    : NamedClassDecoder(decoder_, "Rsb_Rule_143_P286Binary3RegisterImmedShiftedOp")
  {}
  virtual ~NamedRsb_Rule_143_P286Binary3RegisterImmedShiftedOp() {}

 private:
  nacl_arm_dec::Rsb_Rule_143_P286Binary3RegisterImmedShiftedOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedRsb_Rule_143_P286Binary3RegisterImmedShiftedOp);
};

class NamedRsc_Rule_146_A1_P292Binary3RegisterImmedShiftedOp
    : public NamedClassDecoder {
 public:
  inline NamedRsc_Rule_146_A1_P292Binary3RegisterImmedShiftedOp()
    : NamedClassDecoder(decoder_, "Rsc_Rule_146_A1_P292Binary3RegisterImmedShiftedOp")
  {}
  virtual ~NamedRsc_Rule_146_A1_P292Binary3RegisterImmedShiftedOp() {}

 private:
  nacl_arm_dec::Rsc_Rule_146_A1_P292Binary3RegisterImmedShiftedOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedRsc_Rule_146_A1_P292Binary3RegisterImmedShiftedOp);
};

class NamedSbc_Rule_152_A1_P304Binary3RegisterImmedShiftedOp
    : public NamedClassDecoder {
 public:
  inline NamedSbc_Rule_152_A1_P304Binary3RegisterImmedShiftedOp()
    : NamedClassDecoder(decoder_, "Sbc_Rule_152_A1_P304Binary3RegisterImmedShiftedOp")
  {}
  virtual ~NamedSbc_Rule_152_A1_P304Binary3RegisterImmedShiftedOp() {}

 private:
  nacl_arm_dec::Sbc_Rule_152_A1_P304Binary3RegisterImmedShiftedOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedSbc_Rule_152_A1_P304Binary3RegisterImmedShiftedOp);
};

class NamedSubRule_213_A1_P422Binary3RegisterImmedShiftedOp
    : public NamedClassDecoder {
 public:
  inline NamedSubRule_213_A1_P422Binary3RegisterImmedShiftedOp()
    : NamedClassDecoder(decoder_, "SubRule_213_A1_P422Binary3RegisterImmedShiftedOp")
  {}
  virtual ~NamedSubRule_213_A1_P422Binary3RegisterImmedShiftedOp() {}

 private:
  nacl_arm_dec::SubRule_213_A1_P422Binary3RegisterImmedShiftedOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedSubRule_213_A1_P422Binary3RegisterImmedShiftedOp);
};

class NamedAsr_Rule_15_A1_P42Binary3RegisterOp
    : public NamedClassDecoder {
 public:
  inline NamedAsr_Rule_15_A1_P42Binary3RegisterOp()
    : NamedClassDecoder(decoder_, "Asr_Rule_15_A1_P42Binary3RegisterOp")
  {}
  virtual ~NamedAsr_Rule_15_A1_P42Binary3RegisterOp() {}

 private:
  nacl_arm_dec::Asr_Rule_15_A1_P42Binary3RegisterOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedAsr_Rule_15_A1_P42Binary3RegisterOp);
};

class NamedLsl_Rule_89_A1_P180Binary3RegisterOp
    : public NamedClassDecoder {
 public:
  inline NamedLsl_Rule_89_A1_P180Binary3RegisterOp()
    : NamedClassDecoder(decoder_, "Lsl_Rule_89_A1_P180Binary3RegisterOp")
  {}
  virtual ~NamedLsl_Rule_89_A1_P180Binary3RegisterOp() {}

 private:
  nacl_arm_dec::Lsl_Rule_89_A1_P180Binary3RegisterOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedLsl_Rule_89_A1_P180Binary3RegisterOp);
};

class NamedLsr_Rule_91_A1_P184Binary3RegisterOp
    : public NamedClassDecoder {
 public:
  inline NamedLsr_Rule_91_A1_P184Binary3RegisterOp()
    : NamedClassDecoder(decoder_, "Lsr_Rule_91_A1_P184Binary3RegisterOp")
  {}
  virtual ~NamedLsr_Rule_91_A1_P184Binary3RegisterOp() {}

 private:
  nacl_arm_dec::Lsr_Rule_91_A1_P184Binary3RegisterOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedLsr_Rule_91_A1_P184Binary3RegisterOp);
};

class NamedRor_Rule_140_A1_P280Binary3RegisterOp
    : public NamedClassDecoder {
 public:
  inline NamedRor_Rule_140_A1_P280Binary3RegisterOp()
    : NamedClassDecoder(decoder_, "Ror_Rule_140_A1_P280Binary3RegisterOp")
  {}
  virtual ~NamedRor_Rule_140_A1_P280Binary3RegisterOp() {}

 private:
  nacl_arm_dec::Ror_Rule_140_A1_P280Binary3RegisterOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedRor_Rule_140_A1_P280Binary3RegisterOp);
};

class NamedCmn_Rule_34_A1_P78Binary3RegisterShiftedTest
    : public NamedClassDecoder {
 public:
  inline NamedCmn_Rule_34_A1_P78Binary3RegisterShiftedTest()
    : NamedClassDecoder(decoder_, "Cmn_Rule_34_A1_P78Binary3RegisterShiftedTest")
  {}
  virtual ~NamedCmn_Rule_34_A1_P78Binary3RegisterShiftedTest() {}

 private:
  nacl_arm_dec::Cmn_Rule_34_A1_P78Binary3RegisterShiftedTest decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedCmn_Rule_34_A1_P78Binary3RegisterShiftedTest);
};

class NamedCmp_Rule_37_A1_P84Binary3RegisterShiftedTest
    : public NamedClassDecoder {
 public:
  inline NamedCmp_Rule_37_A1_P84Binary3RegisterShiftedTest()
    : NamedClassDecoder(decoder_, "Cmp_Rule_37_A1_P84Binary3RegisterShiftedTest")
  {}
  virtual ~NamedCmp_Rule_37_A1_P84Binary3RegisterShiftedTest() {}

 private:
  nacl_arm_dec::Cmp_Rule_37_A1_P84Binary3RegisterShiftedTest decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedCmp_Rule_37_A1_P84Binary3RegisterShiftedTest);
};

class NamedTeq_Rule_229_A1_P452Binary3RegisterShiftedTest
    : public NamedClassDecoder {
 public:
  inline NamedTeq_Rule_229_A1_P452Binary3RegisterShiftedTest()
    : NamedClassDecoder(decoder_, "Teq_Rule_229_A1_P452Binary3RegisterShiftedTest")
  {}
  virtual ~NamedTeq_Rule_229_A1_P452Binary3RegisterShiftedTest() {}

 private:
  nacl_arm_dec::Teq_Rule_229_A1_P452Binary3RegisterShiftedTest decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedTeq_Rule_229_A1_P452Binary3RegisterShiftedTest);
};

class NamedTst_Rule_232_A1_P458Binary3RegisterShiftedTest
    : public NamedClassDecoder {
 public:
  inline NamedTst_Rule_232_A1_P458Binary3RegisterShiftedTest()
    : NamedClassDecoder(decoder_, "Tst_Rule_232_A1_P458Binary3RegisterShiftedTest")
  {}
  virtual ~NamedTst_Rule_232_A1_P458Binary3RegisterShiftedTest() {}

 private:
  nacl_arm_dec::Tst_Rule_232_A1_P458Binary3RegisterShiftedTest decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedTst_Rule_232_A1_P458Binary3RegisterShiftedTest);
};

class NamedAdc_Rule_3_A1_P18Binary4RegisterShiftedOp
    : public NamedClassDecoder {
 public:
  inline NamedAdc_Rule_3_A1_P18Binary4RegisterShiftedOp()
    : NamedClassDecoder(decoder_, "Adc_Rule_3_A1_P18Binary4RegisterShiftedOp")
  {}
  virtual ~NamedAdc_Rule_3_A1_P18Binary4RegisterShiftedOp() {}

 private:
  nacl_arm_dec::Adc_Rule_3_A1_P18Binary4RegisterShiftedOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedAdc_Rule_3_A1_P18Binary4RegisterShiftedOp);
};

class NamedAdd_Rule_7_A1_P26Binary4RegisterShiftedOp
    : public NamedClassDecoder {
 public:
  inline NamedAdd_Rule_7_A1_P26Binary4RegisterShiftedOp()
    : NamedClassDecoder(decoder_, "Add_Rule_7_A1_P26Binary4RegisterShiftedOp")
  {}
  virtual ~NamedAdd_Rule_7_A1_P26Binary4RegisterShiftedOp() {}

 private:
  nacl_arm_dec::Add_Rule_7_A1_P26Binary4RegisterShiftedOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedAdd_Rule_7_A1_P26Binary4RegisterShiftedOp);
};

class NamedAnd_Rule_13_A1_P38Binary4RegisterShiftedOp
    : public NamedClassDecoder {
 public:
  inline NamedAnd_Rule_13_A1_P38Binary4RegisterShiftedOp()
    : NamedClassDecoder(decoder_, "And_Rule_13_A1_P38Binary4RegisterShiftedOp")
  {}
  virtual ~NamedAnd_Rule_13_A1_P38Binary4RegisterShiftedOp() {}

 private:
  nacl_arm_dec::And_Rule_13_A1_P38Binary4RegisterShiftedOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedAnd_Rule_13_A1_P38Binary4RegisterShiftedOp);
};

class NamedBic_Rule_21_A1_P54Binary4RegisterShiftedOp
    : public NamedClassDecoder {
 public:
  inline NamedBic_Rule_21_A1_P54Binary4RegisterShiftedOp()
    : NamedClassDecoder(decoder_, "Bic_Rule_21_A1_P54Binary4RegisterShiftedOp")
  {}
  virtual ~NamedBic_Rule_21_A1_P54Binary4RegisterShiftedOp() {}

 private:
  nacl_arm_dec::Bic_Rule_21_A1_P54Binary4RegisterShiftedOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedBic_Rule_21_A1_P54Binary4RegisterShiftedOp);
};

class NamedEor_Rule_46_A1_P98Binary4RegisterShiftedOp
    : public NamedClassDecoder {
 public:
  inline NamedEor_Rule_46_A1_P98Binary4RegisterShiftedOp()
    : NamedClassDecoder(decoder_, "Eor_Rule_46_A1_P98Binary4RegisterShiftedOp")
  {}
  virtual ~NamedEor_Rule_46_A1_P98Binary4RegisterShiftedOp() {}

 private:
  nacl_arm_dec::Eor_Rule_46_A1_P98Binary4RegisterShiftedOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedEor_Rule_46_A1_P98Binary4RegisterShiftedOp);
};

class NamedOrr_Rule_115_A1_P212Binary4RegisterShiftedOp
    : public NamedClassDecoder {
 public:
  inline NamedOrr_Rule_115_A1_P212Binary4RegisterShiftedOp()
    : NamedClassDecoder(decoder_, "Orr_Rule_115_A1_P212Binary4RegisterShiftedOp")
  {}
  virtual ~NamedOrr_Rule_115_A1_P212Binary4RegisterShiftedOp() {}

 private:
  nacl_arm_dec::Orr_Rule_115_A1_P212Binary4RegisterShiftedOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedOrr_Rule_115_A1_P212Binary4RegisterShiftedOp);
};

class NamedRsb_Rule_144_A1_P288Binary4RegisterShiftedOp
    : public NamedClassDecoder {
 public:
  inline NamedRsb_Rule_144_A1_P288Binary4RegisterShiftedOp()
    : NamedClassDecoder(decoder_, "Rsb_Rule_144_A1_P288Binary4RegisterShiftedOp")
  {}
  virtual ~NamedRsb_Rule_144_A1_P288Binary4RegisterShiftedOp() {}

 private:
  nacl_arm_dec::Rsb_Rule_144_A1_P288Binary4RegisterShiftedOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedRsb_Rule_144_A1_P288Binary4RegisterShiftedOp);
};

class NamedRsc_Rule_147_A1_P294Binary4RegisterShiftedOp
    : public NamedClassDecoder {
 public:
  inline NamedRsc_Rule_147_A1_P294Binary4RegisterShiftedOp()
    : NamedClassDecoder(decoder_, "Rsc_Rule_147_A1_P294Binary4RegisterShiftedOp")
  {}
  virtual ~NamedRsc_Rule_147_A1_P294Binary4RegisterShiftedOp() {}

 private:
  nacl_arm_dec::Rsc_Rule_147_A1_P294Binary4RegisterShiftedOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedRsc_Rule_147_A1_P294Binary4RegisterShiftedOp);
};

class NamedSbc_Rule_153_A1_P306Binary4RegisterShiftedOp
    : public NamedClassDecoder {
 public:
  inline NamedSbc_Rule_153_A1_P306Binary4RegisterShiftedOp()
    : NamedClassDecoder(decoder_, "Sbc_Rule_153_A1_P306Binary4RegisterShiftedOp")
  {}
  virtual ~NamedSbc_Rule_153_A1_P306Binary4RegisterShiftedOp() {}

 private:
  nacl_arm_dec::Sbc_Rule_153_A1_P306Binary4RegisterShiftedOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedSbc_Rule_153_A1_P306Binary4RegisterShiftedOp);
};

class NamedSub_Rule_214_A1_P424Binary4RegisterShiftedOp
    : public NamedClassDecoder {
 public:
  inline NamedSub_Rule_214_A1_P424Binary4RegisterShiftedOp()
    : NamedClassDecoder(decoder_, "Sub_Rule_214_A1_P424Binary4RegisterShiftedOp")
  {}
  virtual ~NamedSub_Rule_214_A1_P424Binary4RegisterShiftedOp() {}

 private:
  nacl_arm_dec::Sub_Rule_214_A1_P424Binary4RegisterShiftedOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedSub_Rule_214_A1_P424Binary4RegisterShiftedOp);
};

class NamedMov_Rule_96_A2_P_194Unary1RegisterImmediateOp
    : public NamedClassDecoder {
 public:
  inline NamedMov_Rule_96_A2_P_194Unary1RegisterImmediateOp()
    : NamedClassDecoder(decoder_, "Mov_Rule_96_A2_P_194Unary1RegisterImmediateOp")
  {}
  virtual ~NamedMov_Rule_96_A2_P_194Unary1RegisterImmediateOp() {}

 private:
  nacl_arm_dec::Mov_Rule_96_A2_P_194Unary1RegisterImmediateOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedMov_Rule_96_A2_P_194Unary1RegisterImmediateOp);
};

class NamedAsr_Rule_14_A1_P40Unary2RegisterImmedShiftedOp
    : public NamedClassDecoder {
 public:
  inline NamedAsr_Rule_14_A1_P40Unary2RegisterImmedShiftedOp()
    : NamedClassDecoder(decoder_, "Asr_Rule_14_A1_P40Unary2RegisterImmedShiftedOp")
  {}
  virtual ~NamedAsr_Rule_14_A1_P40Unary2RegisterImmedShiftedOp() {}

 private:
  nacl_arm_dec::Asr_Rule_14_A1_P40Unary2RegisterImmedShiftedOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedAsr_Rule_14_A1_P40Unary2RegisterImmedShiftedOp);
};

class NamedLsl_Rule_88_A1_P178Unary2RegisterImmedShiftedOp
    : public NamedClassDecoder {
 public:
  inline NamedLsl_Rule_88_A1_P178Unary2RegisterImmedShiftedOp()
    : NamedClassDecoder(decoder_, "Lsl_Rule_88_A1_P178Unary2RegisterImmedShiftedOp")
  {}
  virtual ~NamedLsl_Rule_88_A1_P178Unary2RegisterImmedShiftedOp() {}

 private:
  nacl_arm_dec::Lsl_Rule_88_A1_P178Unary2RegisterImmedShiftedOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedLsl_Rule_88_A1_P178Unary2RegisterImmedShiftedOp);
};

class NamedLsr_Rule_90_A1_P182Unary2RegisterImmedShiftedOp
    : public NamedClassDecoder {
 public:
  inline NamedLsr_Rule_90_A1_P182Unary2RegisterImmedShiftedOp()
    : NamedClassDecoder(decoder_, "Lsr_Rule_90_A1_P182Unary2RegisterImmedShiftedOp")
  {}
  virtual ~NamedLsr_Rule_90_A1_P182Unary2RegisterImmedShiftedOp() {}

 private:
  nacl_arm_dec::Lsr_Rule_90_A1_P182Unary2RegisterImmedShiftedOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedLsr_Rule_90_A1_P182Unary2RegisterImmedShiftedOp);
};

class NamedMvn_Rule_107_A1_P216Unary2RegisterImmedShiftedOp
    : public NamedClassDecoder {
 public:
  inline NamedMvn_Rule_107_A1_P216Unary2RegisterImmedShiftedOp()
    : NamedClassDecoder(decoder_, "Mvn_Rule_107_A1_P216Unary2RegisterImmedShiftedOp")
  {}
  virtual ~NamedMvn_Rule_107_A1_P216Unary2RegisterImmedShiftedOp() {}

 private:
  nacl_arm_dec::Mvn_Rule_107_A1_P216Unary2RegisterImmedShiftedOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedMvn_Rule_107_A1_P216Unary2RegisterImmedShiftedOp);
};

class NamedRor_Rule_139_A1_P278Unary2RegisterImmedShiftedOp
    : public NamedClassDecoder {
 public:
  inline NamedRor_Rule_139_A1_P278Unary2RegisterImmedShiftedOp()
    : NamedClassDecoder(decoder_, "Ror_Rule_139_A1_P278Unary2RegisterImmedShiftedOp")
  {}
  virtual ~NamedRor_Rule_139_A1_P278Unary2RegisterImmedShiftedOp() {}

 private:
  nacl_arm_dec::Ror_Rule_139_A1_P278Unary2RegisterImmedShiftedOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedRor_Rule_139_A1_P278Unary2RegisterImmedShiftedOp);
};

class NamedMov_Rule_97_A1_P196Unary2RegisterOp
    : public NamedClassDecoder {
 public:
  inline NamedMov_Rule_97_A1_P196Unary2RegisterOp()
    : NamedClassDecoder(decoder_, "Mov_Rule_97_A1_P196Unary2RegisterOp")
  {}
  virtual ~NamedMov_Rule_97_A1_P196Unary2RegisterOp() {}

 private:
  nacl_arm_dec::Mov_Rule_97_A1_P196Unary2RegisterOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedMov_Rule_97_A1_P196Unary2RegisterOp);
};

class NamedRrx_Rule_141_A1_P282Unary2RegisterOp
    : public NamedClassDecoder {
 public:
  inline NamedRrx_Rule_141_A1_P282Unary2RegisterOp()
    : NamedClassDecoder(decoder_, "Rrx_Rule_141_A1_P282Unary2RegisterOp")
  {}
  virtual ~NamedRrx_Rule_141_A1_P282Unary2RegisterOp() {}

 private:
  nacl_arm_dec::Rrx_Rule_141_A1_P282Unary2RegisterOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedRrx_Rule_141_A1_P282Unary2RegisterOp);
};

class NamedMvn_Rule_108_A1_P218Unary3RegisterShiftedOp
    : public NamedClassDecoder {
 public:
  inline NamedMvn_Rule_108_A1_P218Unary3RegisterShiftedOp()
    : NamedClassDecoder(decoder_, "Mvn_Rule_108_A1_P218Unary3RegisterShiftedOp")
  {}
  virtual ~NamedMvn_Rule_108_A1_P218Unary3RegisterShiftedOp() {}

 private:
  nacl_arm_dec::Mvn_Rule_108_A1_P218Unary3RegisterShiftedOp decoder_;
  NACL_DISALLOW_COPY_AND_ASSIGN(NamedMvn_Rule_108_A1_P218Unary3RegisterShiftedOp);
};


} // namespace nacl_arm_test
#endif  // NATIVE_CLIENT_SRC_TRUSTED_VALIDATOR_ARM_GEN_ARM32_DECODE_NAMED_CLASSES_H_
